%global provider_prefix	code
%global provider	google
%global provider_tld	com
%global project		p
%global repo		go.net
%global commit		ad01a6fcc8a19d3a4478c836895ffe883bd2ceab

%global import_path	%{provider_prefix}.%{provider}.%{provider_tld}/%{project}/%{repo}
%global gopath		%{_datadir}/gocode
%global shortcommit	%(c=%{commit}; echo ${c:0:12})
%global debug_package	%{nil}

Name:		golang-googlecode-go-net
Version:	0
Release:	1.0.hg%{shortcommit}%{?dist}
Summary:	This repository holds supplementary Go networking libraries
License:	BSD
URL:		http://%{import_path}
Source0:	https://there/is/not/one/go.net-%{shortcommit}.tar.gz
BuildRequires:	golang


%description
%{summary}.

%package devel
Requires:	golang
BuildRequires:	git
Summary:	%{summary}
Provides:	golang(%{import_path}) = %{version}-%{release}
Provides:	golang(%{import_path}/context) = %{version}-%{release}
Provides:	golang(%{import_path}/dict) = %{version}-%{release}
Provides:	golang(%{import_path}/html) = %{version}-%{release}
Provides:	golang(%{import_path}/idna) = %{version}-%{release}
Provides:	golang(%{import_path}/ipv4) = %{version}-%{release}
Provides:	golang(%{import_path}/ipv6) = %{version}-%{release}
Provides:	golang(%{import_path}/netutil) = %{version}-%{release}
Provides:	golang(%{import_path}/proxy) = %{version}-%{release}
Provides:	golang(%{import_path}/publicsuffix) = %{version}-%{release}
Provides:	golang(%{import_path}/spdy) = %{version}-%{release}
Provides:	golang(%{import_path}/websocket) = %{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup -Sgit -n %{repo}-%{shortcommit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
for d in context dict html idna ipv4 ipv6 netutil proxy publicsuffix spdy websocket; do
	cp -av $d %{buildroot}/%{gopath}/src/%{import_path}/
done

%files devel
%doc LICENSE PATENTS README 
%dir %{gopath}/src/%{provider_prefix}.%{provider}.%{provider_tld}
%dir %{gopath}/src/%{provider_prefix}.%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*

%changelog
* Mon Sep 15 2014 Eric Paris <eparis@redhat.com - 0.0.0-0.1.hg
- Bump to upstream ad01a6fcc8a19d3a4478c836895ffe883bd2ceab

